
import { api_westreamSuggest,
    api_getUserInfo
} from  '../../../api/suggestion';
Page({

    /**
     * 页面的初始数据
     */
    data: {
        form : {
            content:''
        },
        tobegin:true,
        dialogShow:false,
        userInfo:{},
        formRules: {
            content: {
                validator: function (value) {
                    return value;
                },
                warning: false
            },
        },
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {

    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {
        this.getUserInfo()
    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    },
    
    // 关闭弹窗
    colseDialog(){
        wx.switchTab({
          url: '/pages/FirstPage/index',
        })
    },

    remarkInputAction(options){
        let content= options.detail.value
        this.setData({
            form:{
                content,
            }
        })
    },

    getUserInfo(){
        const tenantObj = wx.getStorageSync('tenant')
        const openid = wx.getStorageSync('openid')
        const data = {
            tenantId:tenantObj.tenantId,
            openid,
        }
        api_getUserInfo(data).then(res=>{
           let userInfo = res.data
           this.setData({
               userInfo,
           })
        })
    },

    submit(e){
        const tenantObj = wx.getStorageSync('tenant')
        const openid = wx.getStorageSync('openid')
        if(this.data.form.content == ''){
            wx.showToast({
              title: '还没提交相关建议',
              icon:'none'
            })
        }else{
            if(!this.data.tobegin){
                return
            }
            this.data.tobegin = false
            setTimeout(()=>{
                this.data.tobegin = true
                this.setData({
                    tobegin:this.data.tobegin
                 })
            },2000)
            let data = {
                tenantId:tenantObj.tenantId,
                openid : openid,
                nickname:this.data.userInfo.nickname,
                suggestName:this.data.form.content
            }
            api_westreamSuggest(data).then(res=>{
                // let dialogShow = true
                this.setData({
                    tobegin:this.data.tobegin
                })
                wx.showToast({
                    title: '您的宝贵意见已提交',
                    icon:'none'
                })
                setTimeout(()=>{
                    wx.switchTab({
                      url: '/pages/FirstPage/index',
                    })
                },2000)
            })
        }
    }
})